# new with multiple endpoints
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: <%= vars['INGRESS_NAME']%>
  annotations:
    kubernetes.io/ingress.global-static-ip-name: "<%= vars['INGRESS_STATIC_IP_NAME']%>"
    kubernetes.io/ingress.allow-http: "false"
    nginx.ingress.kubernetes.io/add-base-url: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  rules:
  - host: <%= vars['INGRESS_HOST_API']%>
    http:
      paths:
      - backend:
          serviceName: <%= vars['INGRESS_REST_API_SERVICE_NAME']%>
          servicePort: <%= vars['INGRESS_REST_API_SERVICE_PORT']%>